
Redmine - Feature #13307

Start date and due date in email notifications

2013-02-27 11:40 - Benjamin Jeanjean

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Today, the start date and the due date doesn't appears in the email sent when we create a new issue.

It would be really useful to make them appears for being aware of the priority of the issue.

Related issues:

Related to Redmine - Feature #10378: Don't show empty fields in email notific... Closed

Related to Redmine - Feature #18472: Due date and custom fileds in e-mail Closed

Has duplicate Redmine - Feature #29254: Start date and due date in issue emai... Closed

Associated revisions

Revision 17840 - 2019-01-25 09:06 - Go MAEDA

Start date and due date in email notifications (#13307).

Patch by  Senya Senya.

History

#1 - 2013-02-27 17:07 - Pavel Lautsevich

+1

#2 - 2015-06-01 18:37 - Matt Mencel

Anyone know if this is possible via a plugin?  I have someone asking if these fields can be added to the notification email.

#3 - 2015-06-04 10:17 - Tiffany C

Hi, I'm using Redmine2.4.1.

It works fine when I added "start_date" and "due_date" to issues_helper.rb as the following code.

Could you add to the latest Redmine, too?  It would be really useful!

Index: app/helpers/issues_helper.rb  

===================================================================

--- app/helpers/issues_helper.rb>  

+++ app/helpers/issues_helper.rb>

@@ -233,7 +233,7 @@

_

def email_issue_attributes(issue, user) 

  items = [] 

- %w(author status priority assigned_to category fixed_version).each do |attribute|  

+ %w(author status priority assigned_to category fixed_version start_date due_date).each do |attribute|

 unless issue.disabled_core_fields.include?(attribute+"_id") 

items << "#{l("field_#{attribute}")}: #{issue.send attribute}"  

 end 

#4 - 2016-10-14 19:57 - Bryan Settles

In redmine/app/views/mailer/reminder.html.erb, put <%= issue.due_date issue.start_date > before the <= link_to_issue()%>

#5 - 2017-04-25 08:25 - Florian ROBERT

+1

#6 - 2018-05-09 17:44 - ryan lee
Hi, I am using Redmine 3.4.2.

I have edited the file 'app/helpers/issues_helper.rb' as Tiffany C's post but it not works.

I want the notification email include the info start date and due date.

If you have the solution please let me know. Thank you very much

#7 - 2018-05-28 18:09 - Yuuki NARA

+1

#8 - 2018-07-20 21:27 - Senya Senya

I posted a patch #29254

#9 - 2018-10-28 20:37 - Marius BĂLTEANU

- Has duplicate Feature #29254: Start date and due date in issue email notification added

#10 - 2018-10-28 20:38 - Marius BĂLTEANU

- File issue_mailer_helper.diff added

Attached the patch uploaded by  Senya Senya in #29254.

#11 - 2018-11-08 00:43 - Go MAEDA

- Target version set to 4.1.0

+1

Start date and due date are important information for project management.

I am setting the target version to 4.1.0.

#12 - 2018-11-25 01:44 - Go MAEDA

- Related to Feature #10378: Don't show empty fields in email notifications added

#13 - 2019-01-24 00:41 - Go MAEDA

I agree with showing start date and due date in reminders, But the current patch in #13307#note-10 needs some fix.

You can disable some standard fields in the tracker setting. Needless to say, disabled fields are not shown in reminders. However, start date and due

date are always shown in reminders even if those fields are disabled.

When IssuesHelper#email_issue_attributes checks if a field name is included in the disabled_core_fields array, it assumes that the format of the

value is "*_id". This does not work for start_date and due_date because those fields does not have the suffix "_id" in the disabled_core_fields array.

    %w(author status priority assigned_to category fixed_version start_date due_date).each do |attribute|

      unless issue.disabled_core_fields.include?(attribute+"_id")

        if html

          items << content_tag('strong', "#{l("field_#{attribute}")}: ") + (issue.send attribute)

        else

          items << "#{l("field_#{attribute}")}: #{issue.send attribute}" 

        end

      end

    end

 
$ bin/rails c

Loading development environment (Rails 5.2.2)

2.6.0 :001 > Tracker.find(1).disabled_core_fields

  Tracker Load (0.3ms)  SELECT  "trackers".* FROM "trackers" WHERE "trackers"."id" = ? LIMIT ?  [["id", 1], ["

LIMIT", 1]]

 => ["assigned_to_id", "category_id", "fixed_version_id", "parent_issue_id", "start_date", "due_date", "estima

ted_hours", "done_ratio", "description"]

#14 - 2019-01-24 01:41 - Go MAEDA

- File issue_mailer_helper-v2.diff added

Go MAEDA wrote:

When IssuesHelper#email_issue_attributes checks if a field name is included in the disabled_core_fields array, it assumes that the format of the

value is "*_id". This does not work for start_date and due_date because those fields does not have the suffix "_id" in the disabled_core_fields

array.
 Here is an updated patch. The patch works whether the value in the disabled_core_fields array has "_id" suffix or not.

#15 - 2019-01-24 03:04 - Go MAEDA

- File issue_mailer_helper-v3.diff added

Sorry, the patch issue_mailer_helper-v2.diff does not work. Here is a fixed patch.

#16 - 2019-01-24 12:07 - Go MAEDA

- File test-for-13307.diff added

Updated a test for this feature.

#17 - 2019-01-25 09:06 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#18 - 2019-01-25 09:07 - Go MAEDA

- Subject changed from Start date and due date in email to Start date and due date in email notifications

#19 - 2019-02-11 07:02 - Go MAEDA

- Related to Feature #18472: Due date and custom fileds in e-mail added

Files

issue_mailer_helper.diff 666 Bytes 2018-10-28 Marius BĂLTEANU

issue_mailer_helper-v2.diff 750 Bytes 2019-01-24 Go MAEDA

issue_mailer_helper-v3.diff 753 Bytes 2019-01-24 Go MAEDA

test-for-13307.diff 790 Bytes 2019-01-24 Go MAEDA
